package gov.va.vinci.dart.db;

import java.util.List;

import gov.va.vinci.dart.common.exception.ObjectNotFoundException;
import gov.va.vinci.dart.biz.DataSourceDisplayHeader;

public interface DataSourceDisplayHeaderDAO {

	DataSourceDisplayHeader findById(final int displayHeaderId) throws ObjectNotFoundException;
	List<DataSourceDisplayHeader> listAll();
	List<DataSourceDisplayHeader> listAllByRequestType(final int requestTypeId);
}